/v1/auth/password/resetReset password using the email-delivered reset token.
Request body
token*string6-digit reset token sent via email
Example: "123456"
new_password*stringNew password (min 8 characters)
Example: "MyNewPassword123"
Response · 204
Password reset; all active sessions revoked.
Example
Request
POST https://api.platform-auth.productcraft.co/v1/auth/password/reset
Content-Type: application/json
{
"token": "123456",
"new_password": "MyNewPassword123"
}import { PlatformAuth } from "@productcraft/platform-auth";
// Reads PRODUCTCRAFT_API_KEY from the environment; administration
// calls take a person's session: { auth: { type: "bearer", token } }
const platform = new PlatformAuth();
await platform.auth.password.reset({ new_password: "MyNewPassword123", token: "123456" });platform.auth.password.reset(params, options?): void